Ubuntu

External monitor connected trough mini DisplayPort wired to integrated Intel AGP is properly recognized and configured but has no sync

Reported by Aníbal Rojas on 2011-08-31
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Timo Aaltonen

Bug Description

*** This is _NOT_ a Nvidia related problem, I am not using the Nvidia with this Ubuntu setup. ***

I am running Ubuntu 11.04 in a Dell XPS Laptop wich comes both with a Nvidia and an integrated Intel AGP.

I am using an external monitor connected through a mini DisplayPort wired to the Integrated Intel card.

It has been working since I installed Ubuntu 11.04 a month a go, today the external monitor stopped responding:

- The external monitor reports no sync.
- System > Preferences > Monitors reports the external monitor as attached and operational.
- Print Screen includes the image of the external monitor.
- The laptop primary monitor works as expected.

After double checking the cables, connections and the external monitor I booted back in the previous Kernel (I suppose yesterday I got an kernel update, but not really sure) and the external monitor came back to life. I did the test forth an back a couple times and the behavior was consistent wverytime I switched Kernels.

The offending Kernel is 2.6.38-11-generic.

Last known good Kernel is 2.6.38-10-generic.

So far I am sticking to the 2.6.38-10-generic Kernel while using an external monitor attached to my laptop.

Following are my graphics device info:

anibal@collar-de-bolas:~ $ lspci | grep -i VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: nVidia Corporation Device 0df4 (rev a1)

anibal@collar-de-bolas:~ $ sudo lshw -C video
[sudo] password for anibal:
*-display
description: VGA compatible controller
product: nVidia Corporation
vendor: nVidia Corporation
physical id: 0
bus info: pci@0000:01:00.0
version: a1
width: 64 bits
clock: 33MHz
capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
configuration: driver=nouveau latency=0
resources: irq:16 memory:f0000000-f0ffffff memory:c0000000-cfffffff memory:d0000000-d1ffffff ioport:3000(size=12 memory:f1000000-f107ffff
*-display
description: VGA compatible controller
product: 2nd Generation Core Processor Family Integrated Graphics Controller
vendor: Intel Corporation
physical id: 2
bus info: pci@0000:00:02.0
version: 09
width: 64 bits
clock: 33MHz
capabilities: msi pm vga_controller bus_master cap_list rom
configuration: driver=i915 latency=0
resources: irq:54 memory:f1400000-f17fffff memory:e0000000-efffffff ioport:4000(size=64)

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-11-generic 2.6.38-11.48
ProcVersionSignature: Ubuntu 2.6.38-11.48-generic 2.6.38.8
Uname: Linux 2.6.38-11-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: ALC665 Analog [ALC665 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: anibal 3394 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xf1c00000 irq 55'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:10ec0665,1028050e,00100003 HDA:80862805,80860101,00100000'
   Controls : 26
   Simple ctrls : 12
Date: Wed Aug 31 10:51:54 2011
HibernationDevice: RESUME=UUID=04c05399-bfb5-4045-a757-786ee21c7d64
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
MachineType: Dell Inc. Dell System XPS L502X
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-11-generic root=UUID=b014e346-4401-48e7-bfaf-d697fb02489a ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-11-generic N/A
 linux-backports-modules-2.6.38-11-generic N/A
 linux-firmware 1.52
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/20/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.name: 0NJT03
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd07/20/2011:svnDellInc.:pnDellSystemXPSL502X:pvr:rvnDellInc.:rn0NJT03:rvrA00:cvnDellInc.:ct8:cvr0.1:
dmi.product.name: Dell System XPS L502X
dmi.sys.vendor: Dell Inc.

Aníbal Rojas (anibal-rojas) wrote :
Brad Figg (brad-figg) on 2011-08-31
Changed in linux (Ubuntu):
status: New → Confirmed
Seth Forshee (sforshee) wrote :

There are only three changes to the i915 driver between those versions. I made a build with all three patches reverted to establish whether or not one of them is responsible. Can you please test the build at the following link and report back whether or not the issue persists? Thanks!

http://people.canonical.com/~sforshee/lp838181/linux-2.6.38-11.48~lp838181v201109011442/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
tags: added: regression-update

Seth,

   Thanks a lot.

    I will be more than happy to test it, checking the link I see
there are various linux headers/images packages, exactly what I should
do? I just don't want to start installing packages as a monkey with a
chainsaw, and I want to give you the best feedback I can.

--
Aníbal Rojas
Ruby on Rails Web Developer
http://www.google.com/profiles/anibalrojas

On Thu, Sep 1, 2011 at 11:45 AM, Seth Forshee
<email address hidden> wrote:
> There are only three changes to the i915 driver between those versions.
> I made a build with all three patches reverted to establish whether or
> not one of them is responsible. Can you please test the build at the
> following link and report back whether or not the issue persists?
> Thanks!
>
> http://people.canonical.com/~sforshee/lp838181/linux-2.6.38-11.48~lp838181v201109011442/
>
> ** Changed in: linux (Ubuntu)
>   Importance: Undecided => Medium
>
> ** Changed in: linux (Ubuntu)
>       Status: Confirmed => Incomplete
>
> ** Tags added: regression-update
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/838181
>
> Title:
>  External monitor connected trough mini DisplayPort wired to integrated
>  Intel AGP is properly recognized and configured  but has no sync
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/838181/+subscriptions
>

Seth Forshee (sforshee) wrote :

Looks like you've got a 64-bit install, so you'll want to grab the two files ending in amd64.deb and the one ending in all.deb. Download these to a directory with no other files, then open a terminal, navigate to that directory, and run 'sudo dpkg -i *.deb'. When that finishes reboot, open a terminal, and run 'uname -a'. If you see lp838181v201109011442 in the output then you're running the right kernel for testing.

Aníbal Rojas (anibal-rojas) wrote :

Seth,

   Updated the Kernel following your instructions and the external
monitor came back to life, here is the uname output just in case:

anibal@collar-de-bolas:~ $ uname -a
Linux collar-de-bolas 2.6.38-11-generic #48~lp838181v201109011442 SMP
Thu Sep 1 14:55:16 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

   Thanks a lot for your support.

   The update manager is asking me to upgrade the kernel, I supose I
will ignore meanwhile.

   Do you recommend me to stick to this custom kernel build?

   Do you have an estimation when your fix (based in this test) will
be included in a new official kernel release?

   Again thank you, I owe you a beer

--
Aníbal Rojas
Ruby on Rails Web Developer
http://www.google.com/profiles/anibalrojas

On Thu, Sep 1, 2011 at 3:08 PM, Seth Forshee <email address hidden> wrote:
> Looks like you've got a 64-bit install, so you'll want to grab the two
> files ending in amd64.deb and the one ending in all.deb. Download these
> to a directory with no other files, then open a terminal, navigate to
> that directory, and run 'sudo dpkg -i *.deb'. When that finishes reboot,
> open a terminal, and run 'uname -a'. If you see lp838181v201109011442 in
> the output then you're running the right kernel for testing.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/838181
>
> Title:
>  External monitor connected trough mini DisplayPort wired to integrated
>  Intel AGP is properly recognized and configured  but has no sync
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/838181/+subscriptions
>

Seth Forshee (sforshee) on 2011-09-12
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Seth Forshee (sforshee) wrote :

Thanks for testing. Next we'll test reverting them one at a time to identify which one is responsible. This first build is available at:

http://people.canonical.com/~sforshee/lp838181/linux-2.6.38-11.48~lp838181v201109121545/

Changed in linux (Ubuntu):
assignee: nobody → Seth Forshee (sforshee)
status: Triaged → Incomplete
Aníbal Rojas (anibal-rojas) wrote :

Seth,

   In our offices we have trouble with internet access, that are
preventing me to complete the download of the files. As soon as I
complete the download of this new build I will test and let you know
(internet in the third world sucks)

--
Aníbal Rojas
Ruby on Rails Web Developer
http://www.google.com/profiles/anibalrojas

On Mon, Sep 12, 2011 at 12:16 PM, Seth Forshee
<email address hidden> wrote:
> Thanks for testing. Next we'll test reverting them one at a time to
> identify which one is responsible. This first build is available at:
>
> http://people.canonical.com/~sforshee/lp838181/linux-2.6.38-11.48~lp838181v201109121545/
>
> ** Changed in: linux (Ubuntu)
>       Status: Triaged => Incomplete
>
> ** Changed in: linux (Ubuntu)
>     Assignee: (unassigned) => Seth Forshee (sforshee)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/838181
>
> Title:
>  External monitor connected trough mini DisplayPort wired to integrated
>  Intel AGP is properly recognized and configured  but has no sync
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/838181/+subscriptions
>

Aníbal Rojas (anibal-rojas) wrote :

Jackpot, this build generates the bug.

Actually, I restarted my laptop a second time to check if the behavior
was consistent and it wen much worse, the spalsh screen went
completely corrupted with repeated fragments of part of the desktop
under the cursor in weird colors.

Switched back to previous Kernel meanwhile.

--
Aníbal Rojas
Ruby on Rails Web Developer
http://www.google.com/profiles/anibalrojas

On Mon, Sep 12, 2011 at 12:16 PM, Seth Forshee
<email address hidden> wrote:
> Thanks for testing. Next we'll test reverting them one at a time to
> identify which one is responsible. This first build is available at:
>
> http://people.canonical.com/~sforshee/lp838181/linux-2.6.38-11.48~lp838181v201109121545/
>
> ** Changed in: linux (Ubuntu)
>       Status: Triaged => Incomplete
>
> ** Changed in: linux (Ubuntu)
>     Assignee: (unassigned) => Seth Forshee (sforshee)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/838181
>
> Title:
>  External monitor connected trough mini DisplayPort wired to integrated
>  Intel AGP is properly recognized and configured  but has no sync
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/838181/+subscriptions
>

Aníbal Rojas (anibal-rojas) wrote :

This build:

$ uname -a
Linux collar-de-bolas 2.6.38-11-generic #48~lp838181v201109121648 SMP
Mon Sep 12 16:59:49 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Is working like a charm, the second monitor is displaying the image properly.

What's next?

--
Aníbal Rojas
Ruby on Rails Web Developer
http://www.google.com/profiles/anibalrojas

On Wed, Sep 14, 2011 at 11:18 AM, Seth Forshee
<email address hidden> wrote:
> Please test this build next.
>
> http://people.canonical.com/~sforshee/lp838181/linux-2.6.38-11.48~lp838181v201109121648/
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/838181
>
> Title:
>  External monitor connected trough mini DisplayPort wired to integrated
>  Intel AGP is properly recognized and configured  but has no sync
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/838181/+subscriptions
>

Seth Forshee (sforshee) wrote :

Okay, that means this commit probably caused your regression.

  commit bbeaf8811ba070fd186dfcabc957044c3a1149ac
  Author: Keng-Yu Lin <email address hidden>
  Date: Wed Jun 22 09:49:34 2011 +0800

      drm/i915: disable PCH ports if needed when disabling a CRTC

For the sake of thoroughness, could you also test the build at:

http://people.canonical.com/~sforshee/lp838181/linux-2.6.38-11.48~lp838181v201109121920/

Aníbal Rojas (anibal-rojas) wrote :

Seth,

   This latest build of yours:

$ uname -a
Linux collar-de-bolas 2.6.38-11-generic #48~lp838181v201109121920 SMP
Mon Sep 12 19:29:00 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

   Reproduces the problem.

--
Aníbal Rojas
Ruby on Rails Web Developer
http://www.google.com/profiles/anibalrojas

On Thu, Sep 15, 2011 at 11:03 AM, Seth Forshee
<email address hidden> wrote:
> Okay, that means this commit probably caused your regression.
>
>  commit bbeaf8811ba070fd186dfcabc957044c3a1149ac
>  Author: Keng-Yu Lin <email address hidden>
>  Date:   Wed Jun 22 09:49:34 2011 +0800
>
>      drm/i915: disable PCH ports if needed when disabling a CRTC
>
> For the sake of thoroughness, could you also test the build at:
>
> http://people.canonical.com/~sforshee/lp838181/linux-2.6.38-11.48~lp838181v201109121920/
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/838181
>
> Title:
>  External monitor connected trough mini DisplayPort wired to integrated
>  Intel AGP is properly recognized and configured  but has no sync
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/838181/+subscriptions
>

Seth Forshee (sforshee) on 2011-09-16
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Chris Van Hoof (vanhoof) wrote :
Changed in linux (Ubuntu):
assignee: Seth Forshee (sforshee) → Timo Aaltonen (tjaalton)
Herton R. Krzesinski (herton) wrote :

The commit which caused this regression is now reverted on natty kernel. Reverts are not subject to verification, marking as verification-done-natty.

tags: added: verification-done-natty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-12.51

---------------
linux (2.6.38-12.51) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #860832

  [ Alex Bligh ]

  * SAUCE: net/netfilter/nf_conntrack_netlink.c: fix Oops on container
    destroy
    - LP: #843892

  [ Jesse Sung ]

  * SAUCE: Unregister input device only if it is registered
    - LP: #839238

  [ Leann Ogasawara ]

  * SAUCE: x86: reboot: Make Dell Latitude E6220 use reboot=pci
    - LP: #838402
  * SAUCE: x86: reboot: Make Dell Latitude E6520 use reboot=pci
    - LP: #833705

  [ Ming Lei ]

  * SAUCE: fireware: add NO_MSI quirks for o2micro controller
    - LP: #801719

  [ Stefan Bader ]

  * [Config] Include all filesystem modules for virtual
    - LP: #761809

  [ Tim Gardner ]

  * [Config] kernel preparation cannot be parallelized
  * [Config] Linearize module/abi checks
  * [Config] Linearize and simplify tree preparation rules
  * [Config] Build kernel image in parallel with modules
  * [Config] Set concurrency for kmake invocations
  * [Config] Improve install-arch-headers speed
  * [Config] Fix binary-perarch dependencies
  * [Config] Removed stamp-flavours target
  * [Config] Serialize binary indep targets
  * [Config] Use build stamp directly
  * [Config] Restore prepare-% target
  * [Config] Fix binary-% build target

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: disable PCH ports if needed when disabling a CRTC"
    - LP: #814325, #838181
  * drm/i915: restore only the mode of this driver on lastclose (v2)
    - LP: #848687
  * cifs: fix possible memory corruption in CIFSFindNext, CVE-2011-3191
    - LP: #834135
    - CVE-2011-3191
  * befs: Validate length of long symbolic links, CVE-2011-2928
    - LP: #834124
    - CVE-2011-2928
  * gro: Only reset frag0 when skb can be pulled, CVE-2011-2723
    - LP: #844371
    - CVE-2011-2723
  * inet_diag: fix inet_diag_bc_audit(), CVE-2011-2213
    - LP: #838421
    - CVE-2011-2213
  * si4713-i2c: avoid potential buffer overflow on si4713, CVE-2011-2700
    - LP: #844370
    - CVE-2011-2700
  * Bluetooth: Prevent buffer overflow in l2cap config request,
    CVE-2011-2497
    - LP: #838423
    - CVE-2011-2497
  * crypto: Move md5_transform to lib/md5.c, CVE-2011-3188
    - LP: #834129
    - CVE-2011-3188
  * net: Compute protocol sequence numbers and fragment IDs using MD5,
    CVE-2011-3188
    - LP: #834129
    - CVE-2011-3188
  * x86, intel, power: Initialize MSR_IA32_ENERGY_PERF_BIAS
    - LP: #760131
  * x86, intel, power: Correct the MSR_IA32_ENERGY_PERF_BIAS message
    - LP: #760131
  * rt2x00: Serialize TX operations on a queue.
    - LP: #855239
  * ext4: Fix max file size and logical block counting of extent format
    file, CVE-2011-2695
    - LP: #819574
    - CVE-2011-2695
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 27 Sep 2011 16:19:57 -0300

Changed in linux (Ubuntu):
status: Triaged → Fix Released
Anon (anonymo29) wrote :

This seems to be broken again in Ubuntu 11.10 and 12.04. Could this be because the issue was resolved in the 2.6 linux kernel, while 11.10 uses kernel 3.0.0 and 12.04 is based on the 3.2.0 kernel?

James Nelson (glpax) wrote :

I'm also experiencing this problem on ubuntu 12.10 with kernel:
3.5.0-19-generic #30-Ubuntu SMP Tue Nov 13 17:48:01 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.